Loading...
Searching...
No Matches
ASSA::Less< T > Struct Template Reference

Less is borrowed from STL implementation. More...

`#include <PriorityQueue_Impl.h>`

Inheritance diagram for ASSA::Less< T >:

## Public Member Functions

bool | operator() (const T &x, const T &y) const

## Additional Inherited Members

Public Types inherited from ASSA::Bfunc< T, T, bool >
typedef T | first_argument_type
typedef T | second_argument_type
typedef bool | result_type

## Detailed Description

template<class T>
struct ASSA::Less< T >

Less is borrowed from STL implementation.

Definition at line 41 of file PriorityQueue_Impl.h.

## Member Function Documentation

## operator()()

template<class T>

bool ASSA::Less< T >::operator() | ( | const T & | x,
|  | const T & | y ) const

inline

Definition at line 42 of file PriorityQueue_Impl.h.

{ return x < y; }
ASSA::Less
Less is borrowed from STL implementation.
Definition PriorityQueue_Impl.h:41

The documentation for this struct was generated from the following file:

- PriorityQueue_Impl.h